// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  modules: [
    "@nuxtjs/tailwindcss",
    "@vueuse/nuxt",
    "nuxt-icon",
    "nuxt-icons",
    "@nuxtjs/robots",
    "@nuxtjs/i18n",
    "@nuxtjs/plausible",
  ],
  plausible: {
    domain: 'xeovalyte.com',
    apiHost: 'https://plausible.xeovalyte.dev'
  },
  app: {
    head: {
      title: 'Xeovalyte | Timo Boomers Portfolio',
      link: [
        {
          "rel": "icon",
          "href": "/favicon.ico",
          "type": "image/png"
        }
      ],
      meta: [
        { name: 'description', content: 'This is the official portfolio of Xeovalyte or Timo Boomers'}
      ]
    }
  },
  i18n: {
    baseUrl: 'https://xeovalyte.com',
    locales: [
      { code: 'en', iso: 'en-US', isCatchallLocale: true },
      { code: 'nl', iso: 'nl-NL'},
    ],
    defaultLocale: 'en',
    detectBrowserLanguage: {
      useCookie: true,
      cookieKey: 'i18n_redirected',
      redirectOn: 'root',
    }
  },
});
